apiVersion: v1
kind: Service
metadata:
  name: kube-apiserver
  namespace: kube-system
  labels:
    component: kube-apiserver

spec:
  type: ClusterIP
  ports:
    - port: 443
      targetPort: 6443
      protocol: TCP
      name: apiserver

  selector:
    component: kube-apiserver

---
apiVersion: traefik.containo.us/v1alpha1
kind: IngressRouteTCP
metadata:
  name: kube-apiserver
  namespace: kube-system

spec:
  routes:
  - match: HostSNI(`*`)
    services:
    - name: kube-apiserver
      port: 443

  tls:
    passthrough: True
